pdf-presenter-console (4.7.0-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Jan 2026 09:47:51 +0000

pdf-presenter-console (4.7.0-1) unstable; urgency=medium

  * Track upstream through monitor-fixes, commit 4b5060f
  * New upstream release
  * Bump policy
  * Remove upstreamed patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Dec 2024 15:50:06 +0000

pdf-presenter-console (4.6.0-3) unstable; urgency=medium

  * Cherrypick upstream pull req https://github.com/pdfpc/pdfpc/pull/687/files,
    fixes unsupported generic type FTBFS by boxing it (closes: #1042165)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Jul 2023 11:05:05 +0100

pdf-presenter-console (4.6.0-2) unstable; urgency=medium

  * Drop obsolete Build-Depend on libsoup2.4 & libqrencode-dev
  * Switch to webkit 4.1; depend on libwebkit2gtk-4.1-dev instead of 4.0

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Jun 2023 20:55:54 +0100

pdf-presenter-console (4.6.0-1) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * New upstream release
  * Build dependency on libqrencode-dev, and follow README.rst

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Dec 2022 21:52:36 +0000

pdf-presenter-console (4.5.0-3) unstable; urgency=medium

  * Track upstream maintenance branch
  * Update standards version to 4.6.0, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Nov 2021 12:58:20 -0000

pdf-presenter-console (4.5.0-2) unstable; urgency=medium

  * Track upstream maintenance branch

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 16 Jan 2021 11:54:07 +0000

pdf-presenter-console (4.5.0-1) unstable; urgency=medium

  * New upstream release
    - Upstream copyright now GNU GPL-3 (or later)
    - Add new build dependencies
    - SUPPORT.txt renamed to SUPPORT.rst
    - quilt patch to escape ' at start of line in man page
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Dec 2020 17:26:04 +0000

pdf-presenter-console (4.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 Nov 2020 11:27:08 +0000

pdf-presenter-console (4.4.0-1) unstable; urgency=medium

  * Wrap long lines in changelog entries: 4.0.6-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Debhelper 13

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 May 2020 12:21:21 +0100

pdf-presenter-console (4.3.4-3) unstable; urgency=medium

  * Track upstream maintenance patches
  * Remove now-unnecessary SYSCONFDIR business in debian/rules
  * Remove obsolete .menu file; .desktop suffices
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 29 Sep 2019 12:00:31 +0100

pdf-presenter-console (4.3.4-2) unstable; urgency=medium

  * Track upstream maintenance patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Aug 2019 18:06:47 +0200

pdf-presenter-console (4.3.4-1) unstable; urgency=medium

  * New upstream version
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Jul 2019 15:47:49 +0100

pdf-presenter-console (4.3.2-2) unstable; urgency=medium

  * Merge upstream video format fix
  * Bump to debhelper 12

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Jun 2019 11:35:04 +0100

pdf-presenter-console (4.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Feb 2019 22:12:11 +0000

pdf-presenter-console (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 27 Jan 2019 19:59:29 +0000

pdf-presenter-console (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Dec 2018 16:12:58 +0000

pdf-presenter-console (4.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Oct 2018 12:32:50 +0100

pdf-presenter-console (4.1.2-3) unstable; urgency=medium

  * track upstream, for bug fixes and features

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Oct 2018 15:20:12 +0100

pdf-presenter-console (4.1.2-2) unstable; urgency=medium

  * Upstream revisions repair regression (closes: #888677)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 May 2018 16:40:46 +0100

pdf-presenter-console (4.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 May 2018 23:13:18 +0100

pdf-presenter-console (4.1-4) unstable; urgency=medium

  * Recommends: gstreamer1.0-gtk3 as needed for videos (closes: #895224)
    See https://github.com/pdfpc/pdfpc/issues/339#issuecomment-381108541
  * patch for fuzzy rendering of images regression

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Apr 2018 18:44:43 +0100

pdf-presenter-console (4.1-3) unstable; urgency=medium

  * Merge upstream mods, maybe this will solve video bug 895224
  * Swizzle packaging repo to salsa
  * Bump policy
  * Bump to dh11

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Apr 2018 16:07:36 +0100

pdf-presenter-console (4.1-2) unstable; urgency=medium

  * Merge minor upstream bug fixes and documentation updates

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Dec 2017 20:39:19 +0000

pdf-presenter-console (4.1-1) unstable; urgency=medium

  * New upstream release
  * Bump policy
  * Bump cmake build dependency version per upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Nov 2017 09:18:01 +0000

pdf-presenter-console (4.0.8-2) unstable; urgency=medium

  * Merge upstream fix (closes: #855525)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Sep 2017 16:40:41 +0100

pdf-presenter-console (4.0.8-1) unstable; urgency=medium

  * New upstream release
  * Bump policy
  * Secure repo URL
  * Merge minor upstream doc mods

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 31 Aug 2017 10:00:20 +0100

pdf-presenter-console (4.0.7-2) unstable; urgency=medium

  * Merge upstream fixes, should address various video bugs

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jul 2017 11:52:59 +0100

pdf-presenter-console (4.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Jun 2017 09:21:06 +0100

pdf-presenter-console (4.0.6-1) unstable; urgency=medium

  * New upstream release
    - fullscreen margin problems (closes: #854266)
    - solve video resolution vs DPI problem (closes: #854273)
    - sometimes obay loop and showcontrols=false video playback options (closes:
      #853097)
    - better Wayland support
    - show slide numbers on overview page
    - command line option --page/-P for initial page
    - respect GDK hints about HiDPI screens

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Feb 2017 08:10:14 +0000

pdf-presenter-console (4.0.5-1) unstable; urgency=medium

  * bump to dh10
  * bump standards version
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Jan 2017 14:40:26 +0100

pdf-presenter-console (4.0.4-1) unstable; urgency=medium

  * New upstream release
  * Track upstream bug fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Nov 2016 18:43:48 +0000

pdf-presenter-console (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Oct 2016 10:22:27 +0100

pdf-presenter-console (4.0.2-2) unstable; urgency=medium

  * update homepage (closes: #820477)
  * bump standards version, no changes required
  * merge upstream development branch, with FTBFS fix (closes: #819858)
  * tweak debian/copyright
  * pass hardening flags per
    https://wiki.debian.org/Hardening#Notes_for_packages_using_Vala

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 May 2016 11:05:48 +0100

pdf-presenter-console (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Feb 2016 12:21:32 +0000

pdf-presenter-console (4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Nov 2015 12:28:24 +0000

pdf-presenter-console (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Jun 2015 18:02:27 +0100

pdf-presenter-console (3.1.1+git.2.8a2f105-1) unstable; urgency=medium

  * Upstream snaphot with gstreamer 1.0 support
  * update build dependencies including GStreamer 0.1 to 1.0 (closes: #785863)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 May 2015 12:27:47 +0100

pdf-presenter-console (3.1.1+git.1.5d18a2c-1) unstable; urgency=medium

  * Use upstream snaphot tarball to avoid stray deleted files

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 May 2015 10:16:09 +0100

pdf-presenter-console (3.1.1-6) unstable; urgency=medium

  * oops add build dependency on libgstreamer-plugins-base0.10-dev

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 15:32:52 +0100

pdf-presenter-console (3.1.1-5) unstable; urgency=medium

  * oops, update gtk build dependency version to 3.0
  * add libgstreamer build dependency
  * remove librsvg build depenedency

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 14:35:51 +0100

pdf-presenter-console (3.1.1-4) unstable; urgency=medium

  * build with libgee-0.8-dev not libgee-dev (closes: #753878)
  * merge upstream patches to c85ecfbf dated 16-Apr-2015 (closes: #729052)
    - upstream group maintenance with new epicentre
    - no .c sources, compiles .vala to .c at build time
    - adjust for API change in libgee-0.8-dev
    - many minor and major fixes, like video support
  * Provide: pdfpc, for ecumenical naming and search (closes: 695269)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 10:27:47 +0100

pdf-presenter-console (3.1.1-3) unstable; urgency=medium

  * update debian/watch, add pointer to similar Haskell-based program
  * bump standards version, no changes required
  * quilt patch to build with libgee-0.8-dev instead of libgee-dev,
    disabled as it results in a build failure, would close 753878 if it worked.
  * canonicalize repo urls in debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Feb 2015 22:48:57 +0000

pdf-presenter-console (3.1.1-2) unstable; urgency=low

  * Add NoDisplay to .desktop file: filename arg is mandatory (closes: #699829)
  * Remove .mime file; mime information is generated from desktop files
  * Install scalable icon

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Feb 2013 11:36:05 +0000

pdf-presenter-console (3.1.1-1) unstable; urgency=low

  * update debian/watch
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Jul 2012 23:24:48 +0100

pdf-presenter-console (3.1-1) unstable; urgency=low

  * Move man page tweak to quilt patch
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Jun 2012 12:13:08 +0100

pdf-presenter-console (3.0-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Jun 2012 16:03:34 +0100

pdf-presenter-console (2.0-9) unstable; urgency=low

  * merge upstream countdown patch
  * allow valac-0.16 (closes: #675661)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Jun 2012 20:37:42 +0100

pdf-presenter-console (2.0-8) unstable; urgency=low

  * bump to dh9
  * bump debian standards
  * change valac dependency for transition (closes: #663317)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Mar 2012 10:49:05 +0000

pdf-presenter-console (2.0-7) unstable; urgency=low

  * poppler 0.18 patch, thanks to David Vilar (closes: #651852)
    also thanks to Martin Pitt <martin.pitt@ubuntu.com> for the ping

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Feb 2012 09:40:39 +0000

pdf-presenter-console (2.0-6) unstable; urgency=low

  * desktop file, thanks to Peter Eisentraut (closes: #648882)
  * update man page

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Nov 2011 09:50:10 +0000

pdf-presenter-console (2.0-5) unstable; urgency=low

  * align stated priority with override (debian/control)
  * silence lintian regarding debian/rules targets
  * single debian patch source option (closes: #643239)
  * link pdf-presenter-console(1) to pdf_presenter_console(1) (closes: #641755)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Oct 2011 22:33:38 +0100

pdf-presenter-console (2.0-4) unstable; urgency=low

  * reverse valac disjunctive dependencies (closes: #609676)
  * bump debian standards

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jun 2011 14:04:31 +0100

pdf-presenter-console (2.0-3) unstable; urgency=low

  * alias for binary (debian/pdf-presenter-console.links) (closes: #597908)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Mar 2011 14:52:29 +0000

pdf-presenter-console (2.0-2) unstable; urgency=low

  * priority optional (debian/control)
  * allow valac-0.12 as valac build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Feb 2011 00:57:39 +0000

pdf-presenter-console (2.0-1) experimental; urgency=low

  * New upstream release (closes: #610251)
  * bump version of valac build dependency (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Jan 2011 16:51:21 +0000

pdf-presenter-console (1.1.1+git.02dfcf-3) unstable; urgency=low

  * GNU GPLv2+ in debian/copyright (closes: #609608)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Jan 2011 07:18:39 +0000

pdf-presenter-console (1.1.1+git.02dfcf-2) UNRELEASED; urgency=low

  * move upstream repo info (debian/control, debian/copyright)
  * bump standards version (debian/control)
  * bump valac build-depends to 0.9.7+ per README.rst (debian/control)
  * dh --parallel
  * dh 8

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Nov 2010 21:49:44 +0000

pdf-presenter-console (1.1.1+git.02dfcf-1) unstable; urgency=low

  * Merge upstream snaphot (closes: #589734)
  * Bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Jul 2010 15:37:46 +0100

pdf-presenter-console (1.1.1-4) unstable; urgency=low

  * Register support of pdf file display with mime subsystem (debian/*.mime)
  * mouse interaction patch, also in next upstream release (closes: #572354)
  * add TIMER section to man page in debian/pdf_presenter_console.1

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 31 May 2010 22:41:10 +0100

pdf-presenter-console (1.1.1-3) unstable; urgency=low

  * Swizzle Vcs-* from upstream to debian collab-maint (debian/control)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:40 +0000

pdf-presenter-console (1.1.1-2) unstable; urgency=low

  * Man patch, thanks Joachim Breitner <nomeata@debian.org> (closes: #572354)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Mar 2010 12:06:34 +0000

pdf-presenter-console (1.1.1-1) unstable; urgency=low

  * New upstream release
    - fixes build problem with valac 0.7.10

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Feb 2010 14:47:46 +0000

pdf-presenter-console (1.1-1) unstable; urgency=low

  * Initial release (Closes: #567685)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 30 Jan 2010 16:40:33 +0100
